



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Collection、Iterator、Set、HashSet</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Collection、Iterator、Set、HashSet</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-02 09:48:40 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>Collection接口的基本方法</p>
<table>
<tbody>
<tr>
<td>
<p>boolean add(Object o)</p>
</td>
<td>
<p>向集合当中加入一个对象</p>
</td>
</tr>
<tr>
<td>
<p>void clear()</p>
</td>
<td>
<p>删除集合当中的所有对象</p>
</td>
</tr>
<tr>
<td>
<p>boolean isEmpty()</p>
</td>
<td>
<p>判断集合是否为空</p>
</td>
</tr>
<tr>
<td>
<p>remove(Object o)</p>
</td>
<td>
<p>从集合中删除一个对象的引用</p>
</td>
</tr>
<tr>
<td>
<p>int size()</p>
</td>
<td>
<p>返回集合中元素的数目</p>
</td>
</tr>
</tbody>
</table>
<p>Set接口继承了Collection接口的上述方法，HashSet类实现了Set接口</p>
<div>
<pre class="prettyprint linenums">import java.util.Set;
import java.util.HashSet;

class Test{
	public static void main(String args[]){
		Set&lt;String&gt; hs = new HashSet&lt;String&gt;();
		System.out.println(hs.isEmpty());//判断是否为空
		hs.add("a");
		hs.add("b");
		hs.add("c");
		hs.add("d");
		hs.add("c");//重复添加c
		System.out.println("hs对象长度为" + hs.size());
		hs.remove("d");//移除d
		System.out.println("remove之后为" + hs.size());
		hs.clear(); //清空
		System.out.println("clear之后为" + hs.size());
	}
}
</pre>
</div>
<p><img referrerpolicy="no-referrer"src="http://images.cnitblog.com/blog/494821/201411/152215036717859.png" /></p>
<p>List中的对象可以使用下标来读取，但由于Set中的对象不按特定的顺序排序，所以不能使用下标的方式读取集合的数据，我们通过迭代器Iterator来遍历Set中的数据。</p>
<p>Set是Collection的子接口，而Collection又是Iterator的子接口。Itreator接口的常用方法有hasNext()、next()，迭代器的模型如下：</p>
<p><img referrerpolicy="no-referrer"src="http://images.cnitblog.com/blog/494821/201411/152231543127134.png" /></p>
<p>箭头代表游标，方框代表对象，当迭代器对象调用hasNext()方法时，返回值为布尔值，判断游标之后有没有下一个对象，有就返回true。当调用next()时，返回游标所指的下一个对象，同时游标向后移动一位</p>
<div>
<pre class="prettyprint linenums">import java.util.Set;
import java.util.HashSet;
import java.util.Iterator;

class Test{
	public static void main(String args[]){
		Set&lt;String&gt; hs = new HashSet&lt;String&gt;();
		hs.add("b");
		hs.add("d");
		hs.add("a");
		hs.add("c");
		//调用Collection接口的iterator方法生成迭代器对象it
		Iterator&lt;String&gt; it = hs.iterator();
		while(it.hasNext()){
			System.out.println(it.next());
		}
	}
}
</pre>
</div>
<p><img referrerpolicy="no-referrer"src="http://images.cnitblog.com/blog/494821/201411/152252166562169.png" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/49511l0q.html">&lbrack;WIN32&rsqb;Win7软件部署清单</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnzd1gq.html">&lpar;34&rpar;odoo反代理中客户IP处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql6v61q.html">SharePoint 2013 新功能探索 之 SPGroup、SPUser 事件处理程序  还要继续改进</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93e3zgq.html">FlipView For Xamarin&period;Form 之 IOS</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qymnomq.html">PHP函数可变参数列表的具体实现方法介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0ngzgq.html">有关require package的应用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnx5208.html">iOS 开发者计划申请 2014 年最新心得&lbrack;转&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge5g5z8.html">composer安装及使用说明和相关原理文档</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey3mwe9.html">windows server 2012 &plus; sql server 2008 r2安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z35de9.html">Delphi工程版本号修改工具</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z2m739.html">剑指offer第三天</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gxk36q.html">Elasticsearch -- 索引管理</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4j64zjq.html">JavaScript模拟自由落体</a>
		</li>
						<li><a href="https://www.batexi.com/a/963j1w39.html">Android 四大组件和Intent</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmxx3l9.html">SQL on Hadoop中用到的主要技术&mdash;&mdash;MPP vs Runtime Framework</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyvj46mq.html">善待Erlang 代码 -- Xref 实践</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlojdoxq.html">利用Trace&period;WriteLine定位难以重现的问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r45ypr8.html">unity调用ios原生代码objective-c和回调</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zv7l5v9.html">centos7博客的基础搭建（LNMP）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e0knzzq.html">创建Graphics对象与Pen对象</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qdewndj9.html">VC让对话框显示就最大化</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdv1mk8.html">初探appium之环境搭建</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdewn279.html">some tips</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdv7z38.html">【测试】模拟一个全表扫描的sql，对其进行优化走索引，并且将执行计划稳定到baseLine。</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e14plj9.html">unknown software exception</a>
			</li>
						<li><a href="https://www.batexi.com/a/96o06w49.html">谷歌浏览器提示Adobe Flash Player因过期而遭到阻止</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1vr738.html">IOS thread1&colon;exc&lowbar;bad&rpar;access&lpar;code&equals;exc&lowbar;1386&lowbar;gpflt&rpar;错误</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ok4nnl9.html">OSGI&period;NET 插件无法启动之情景一</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zvm649.html">百度地图API的使用方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1n14g8.html">ASP&period;NET MVC4 学习系统四（视图）</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
